com.r3corda.core.crypto / WhitelistTrustManager

# WhitelistTrustManager

`class WhitelistTrustManager : X509ExtendedTrustManager`

Our TrustManager extension takes the standard certificate checker and first delegates all the chain checking to that. If everything is well formed we then simply add a check against our whitelist

### Constructors

<init> | `WhitelistTrustManager(originalProvider: X509ExtendedTrustManager)` Our TrustManager extension takes the standard certificate checker and first delegates all the chain checking to that. If everything is well formed we then simply add a check against our whitelist

### Properties

checker | `val checker: HostnameChecker`
originalProvider | `val originalProvider: X509ExtendedTrustManager`

### Functions

checkClientTrusted | `fun checkClientTrusted(chain: Array<out X509Certificate>, authType: String, socket: Socket?): Unit` `fun checkClientTrusted(chain: Array<out X509Certificate>, authType: String, engine: SSLEngine?): Unit` `fun checkClientTrusted(chain: Array<out X509Certificate>, authType: String): Unit`
checkServerTrusted | `fun checkServerTrusted(chain: Array<out X509Certificate>, authType: String, socket: Socket?): Unit` `fun checkServerTrusted(chain: Array<out X509Certificate>, authType: String, engine: SSLEngine?): Unit` `fun checkServerTrusted(chain: Array<out X509Certificate>, authType: String): Unit`
getAcceptedIssuers | `fun getAcceptedIssuers(): Array<out X509Certificate>`